Comment 7 for bug 1117292

This may be due to the fact that linux-server is a transitional package and now points to linux-generic. Perhaps if you were to use that package in your preseed you'd have better luck. Could you give this a try? Thanks in advance.

@Matthew - unless you are using the same preseed file as the reporter of this bug you are unlikely to be experiencing the same issue and should open a new bug report.